* [LTP] [BUG?] container_test.sh: should to delete check_for_unshare's source in cvs/git ?
@ 2010-03-08 2:56 Shi Weihua
2010-03-08 15:53 ` Garrett Cooper
0 siblings, 1 reply; 4+ messages in thread
From: Shi Weihua @ 2010-03-08 2:56 UTC (permalink / raw)
To: Garrett Cooper, Rishikesh; +Cc: ltp-list
[-- Attachment #1: Type: text/plain, Size: 1051 bytes --]
Tested the latest cvs version (about Mar 1) on my x86_64 (2.6.33).
The following message occured:
--------------------------------
<<<test_start>>>
tag=Containers stime=1267527554
cmdline="container_test.sh"
contacts=""
analysis=exit
<<<test_output>>>
/opt/ltp/testcases/bin/container_test.sh: line 13: check_for_unshare: command not found
Running utsns tests.
unshare tests
test 1 (unshare)
test 2 (unshare)
......
--------------------------------
I noticed that check_for_unshare had been deleted in LTP-20091031.
In ./ChangeLog (from latest cvs version)
...
2905 LTP-20091031
...
3141 Removed Files:
3142 ltp/README.ltp-devel
3143 ltp/config.mk.in
3144 ltp/ltp-devel.spec
3145 ltp/testcases/kernel/containers/check_for_unshare.c
...
3997 LTP-20090930
Also, i noticed check_for_unshare commentted in container_test.sh in
release version of FEBRUARY 2010. pls check the diff between cvs version
and release version of Feb in attached file.
Now, my question: should to delete check_for_unshare's source in cvs/git ?
[-- Attachment #2: container_test.sh.diff --]
[-- Type: text/plain, Size: 1369 bytes --]
--- ltp/testcases/kernel/containers/container_test.sh 2010-02-22 14:21:40.000000000 -0500
+++ ltp-full-20100228/testcases/kernel/containers/container_test.sh 2010-03-03 11:43:19.000000000 -0500
@@ -10,11 +10,11 @@
# any later version.
#check_utsns_enabled
-check_for_unshare
-if [ $? -eq 1 ]; then
- echo "Unshare not supported. Not running container tests"
- exit 0
-fi
+#check_for_unshare
+#if [ $? -eq 1 ]; then
+# echo "Unshare not supported. Not running container tests"
+# exit 0
+#fi
check_utsns_enabled
if [ $? -eq 0 ]; then
echo "Running utsns tests."
@@ -46,11 +46,22 @@ else
echo "ipc namespaces not enabled in kernel. Not running ipcns tests."
fi
-echo "Running pidns tests."
-runpidnstest.sh
+check_pidns_enabled
+if [ $? -eq 0 ]; then
+ echo "Running pidns tests."
+ runpidnstest.sh
+else
+ echo "Process id namespaces not enabled in kernel. Not running pidns tests."
+fi
-echo "Running POSIX message queue tests."
-runmqnstest.sh
+check_mqns_enabled
+if [ $? -eq 0 ]; then
+ echo "Running POSIX message queue tests."
+ runmqnstest.sh
+else
+ echo "Posix message queues or ipc namespaces not enabled in kernel."
+ echo "Not running mqns tests."
+fi
check_netns_enabled
if [ $? -eq 0 ]; then
@@ -59,4 +70,3 @@ if [ $? -eq 0 ]; then
else
echo "Network namespaces not enabled in kernel. Not running netns tests."
fi
-
[-- Attachment #3: Type: text/plain, Size: 345 bytes --]
------------------------------------------------------------------------------
Download Intel® Parallel Studio Eval
Try the new software tools for yourself. Speed compiling, find bugs
proactively, and fine-tune applications for parallel performance.
See why Intel Parallel Studio got high marks during beta.
http://p.sf.net/sfu/intel-sw-dev
[-- Attachment #4: Type: text/plain, Size: 155 bytes --]
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list
^ permalink raw reply [flat|nested] 4+ messages in thread
* Re: [LTP] [BUG?] container_test.sh: should to delete check_for_unshare's source in cvs/git ?
2010-03-08 2:56 [LTP] [BUG?] container_test.sh: should to delete check_for_unshare's source in cvs/git ? Shi Weihua
@ 2010-03-08 15:53 ` Garrett Cooper
2010-03-08 17:17 ` Rishikesh K Rajak
0 siblings, 1 reply; 4+ messages in thread
From: Garrett Cooper @ 2010-03-08 15:53 UTC (permalink / raw)
To: Shi Weihua; +Cc: ltp-list
On Sun, Mar 7, 2010 at 6:56 PM, Shi Weihua <shiwh@cn.fujitsu.com> wrote:
> Tested the latest cvs version (about Mar 1) on my x86_64 (2.6.33).
> The following message occured:
> --------------------------------
> <<<test_start>>>
> tag=Containers stime=1267527554
> cmdline="container_test.sh"
> contacts=""
> analysis=exit
> <<<test_output>>>
> /opt/ltp/testcases/bin/container_test.sh: line 13: check_for_unshare: command not found
> Running utsns tests.
> unshare tests
> test 1 (unshare)
> test 2 (unshare)
> ......
> --------------------------------
>
> I noticed that check_for_unshare had been deleted in LTP-20091031.
> In ./ChangeLog (from latest cvs version)
> ...
> 2905 LTP-20091031
> ...
> 3141 Removed Files:
> 3142 ltp/README.ltp-devel
> 3143 ltp/config.mk.in
> 3144 ltp/ltp-devel.spec
> 3145 ltp/testcases/kernel/containers/check_for_unshare.c
> ...
> 3997 LTP-20090930
>
> Also, i noticed check_for_unshare commentted in container_test.sh in
> release version of FEBRUARY 2010. pls check the diff between cvs version
> and release version of Feb in attached file.
>
> Now, my question: should to delete check_for_unshare's source in cvs/git ?
There was some discussion and the check was reenabled post the February release.
Thanks,
-Garrett
------------------------------------------------------------------------------
Download Intel® Parallel Studio Eval
Try the new software tools for yourself. Speed compiling, find bugs
proactively, and fine-tune applications for parallel performance.
See why Intel Parallel Studio got high marks during beta.
http://p.sf.net/sfu/intel-sw-dev
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list
^ permalink raw reply [flat|nested] 4+ messages in thread
* Re: [LTP] [BUG?] container_test.sh: should to delete check_for_unshare's source in cvs/git ?
2010-03-08 15:53 ` Garrett Cooper
@ 2010-03-08 17:17 ` Rishikesh K Rajak
2010-03-09 8:39 ` Rishikesh K Rajak
0 siblings, 1 reply; 4+ messages in thread
From: Rishikesh K Rajak @ 2010-03-08 17:17 UTC (permalink / raw)
To: Garrett Cooper; +Cc: ltp-list
On Mon, Mar 08, 2010 at 07:53:08AM -0800, Garrett Cooper wrote:
> On Sun, Mar 7, 2010 at 6:56 PM, Shi Weihua <shiwh@cn.fujitsu.com> wrote:
> > Tested the latest cvs version (about Mar 1) on my x86_64 (2.6.33).
> > The following message occured:
> > --------------------------------
> > <<<test_start>>>
> > tag=Containers stime=1267527554
> > cmdline="container_test.sh"
> > contacts=""
> > analysis=exit
> > <<<test_output>>>
> > /opt/ltp/testcases/bin/container_test.sh: line 13: check_for_unshare: command not found
> > Running utsns tests.
> > unshare tests
> > test 1 (unshare)
> > test 2 (unshare)
> > ......
> > --------------------------------
> >
> > I noticed that check_for_unshare had been deleted in LTP-20091031.
> > In ./ChangeLog (from latest cvs version)
> > ...
> > 2905 LTP-20091031
> > ...
> > 3141 Removed Files:
> > 3142 ltp/README.ltp-devel
> > 3143 ltp/config.mk.in
> > 3144 ltp/ltp-devel.spec
> > 3145 ltp/testcases/kernel/containers/check_for_unshare.c
> > ...
> > 3997 LTP-20090930
> >
> > Also, i noticed check_for_unshare commentted in container_test.sh in
> > release version of FEBRUARY 2010. pls check the diff between cvs version
> > and release version of Feb in attached file.
> >
> > Now, my question: should to delete check_for_unshare's source in cvs/git ?
>
> There was some discussion and the check was reenabled post the February release.
I looked at a glance in sleep mode and found there is something need to
be fixed here as i am still not able to find check_for_unshare.c . Well
i will look and fix tomorrow.
Thanks
Rishi
> Thanks,
> -Garrett
--
Thanks & Regards
Rishi
LTP Maintainer
IBM, LTC, Bangalore
Please join IRC #ltp @ irc.freenode.net
------------------------------------------------------------------------------
Download Intel® Parallel Studio Eval
Try the new software tools for yourself. Speed compiling, find bugs
proactively, and fine-tune applications for parallel performance.
See why Intel Parallel Studio got high marks during beta.
http://p.sf.net/sfu/intel-sw-dev
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list
^ permalink raw reply [flat|nested] 4+ messages in thread
* Re: [LTP] [BUG?] container_test.sh: should to delete check_for_unshare's source in cvs/git ?
2010-03-08 17:17 ` Rishikesh K Rajak
@ 2010-03-09 8:39 ` Rishikesh K Rajak
0 siblings, 0 replies; 4+ messages in thread
From: Rishikesh K Rajak @ 2010-03-09 8:39 UTC (permalink / raw)
To: Garrett Cooper, Shi Weihua; +Cc: ltp-list
On Mon, Mar 08, 2010 at 10:47:07PM +0530, Rishikesh K Rajak wrote:
> On Mon, Mar 08, 2010 at 07:53:08AM -0800, Garrett Cooper wrote:
> > On Sun, Mar 7, 2010 at 6:56 PM, Shi Weihua <shiwh@cn.fujitsu.com> wrote:
> > >
> > > Now, my question: should to delete check_for_unshare's source in cvs/git ?
> >
> > There was some discussion and the check was reenabled post the February release.
>
> I looked at a glance in sleep mode and found there is something need to
> be fixed here as i am still not able to find check_for_unshare.c . Well
> i will look and fix tomorrow.
Hi Shi,
Thanks for reporting this failure. Just now i committed to next branch.
commit bdfe0b2a9dd720c3013225cc4aa1628e77888b24
Author: Rishikesh K Rajak <risrajak@linux.vnet.ibm.com>
Date: Tue Mar 9 14:05:46 2010 +0530
Adding check_for_unshare.c file and linking the porper lib.
Signed-off-by: Rishikesh K Rajak <risrajak@linux.vnet.ibm.com>
Reported-By: Shi Weihua <shiwh@cn.fujitsu.com>
--
Thanks & Regards
Rishi
LTP Maintainer
IBM, LTC, Bangalore
Please join IRC #ltp @ irc.freenode.net
------------------------------------------------------------------------------
Download Intel® Parallel Studio Eval
Try the new software tools for yourself. Speed compiling, find bugs
proactively, and fine-tune applications for parallel performance.
See why Intel Parallel Studio got high marks during beta.
http://p.sf.net/sfu/intel-sw-dev
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list
^ permalink raw reply [flat|nested] 4+ messages in thread
end of thread, other threads:[~2010-03-09 8:39 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2010-03-08 2:56 [LTP] [BUG?] container_test.sh: should to delete check_for_unshare's source in cvs/git ? Shi Weihua
2010-03-08 15:53 ` Garrett Cooper
2010-03-08 17:17 ` Rishikesh K Rajak
2010-03-09 8:39 ` Rishikesh K Rajak
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox